Index: uspace/lib/ext4/libext4_block_group.h
===================================================================
--- uspace/lib/ext4/libext4_block_group.h	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/lib/ext4/libext4_block_group.h	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2011 Martin Sucha
  * Copyright (c) 2012 Frantisek Princ
  * All rights reserved.
Index: uspace/lib/ext4/libext4_directory.c
===================================================================
--- uspace/lib/ext4/libext4_directory.c	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/lib/ext4/libext4_directory.c	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2011 Martin Sucha
  * Copyright (c) 2012 Frantisek Princ
  * All rights reserved.
Index: uspace/lib/ext4/libext4_directory.h
===================================================================
--- uspace/lib/ext4/libext4_directory.h	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/lib/ext4/libext4_directory.h	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2011 Martin Sucha
  * Copyright (c) 2012 Frantisek Princ
  * All rights reserved.
Index: uspace/lib/ext4/libext4_filesystem.c
===================================================================
--- uspace/lib/ext4/libext4_filesystem.c	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/lib/ext4/libext4_filesystem.c	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2011 Martin Sucha
  * Copyright (c) 2012 Frantisek Princ
  * All rights reserved.
Index: uspace/lib/ext4/libext4_filesystem.h
===================================================================
--- uspace/lib/ext4/libext4_filesystem.h	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/lib/ext4/libext4_filesystem.h	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2011 Martin Sucha
  * Copyright (c) 2012 Frantisek Princ
  * All rights reserved.
Index: uspace/lib/ext4/libext4_inode.c
===================================================================
--- uspace/lib/ext4/libext4_inode.c	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/lib/ext4/libext4_inode.c	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2011 Martin Sucha
  * Copyright (c) 2012 Frantisek Princ
  * All rights reserved.
Index: uspace/lib/ext4/libext4_inode.h
===================================================================
--- uspace/lib/ext4/libext4_inode.h	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/lib/ext4/libext4_inode.h	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2011 Martin Sucha
  * Copyright (c) 2012 Frantisek Princ
  * All rights reserved.
Index: uspace/lib/ext4/libext4_superblock.c
===================================================================
--- uspace/lib/ext4/libext4_superblock.c	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/lib/ext4/libext4_superblock.c	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2011 Martin Sucha
  * Copyright (c) 2012 Frantisek Princ
  * All rights reserved.
Index: uspace/lib/ext4/libext4_superblock.h
===================================================================
--- uspace/lib/ext4/libext4_superblock.h	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/lib/ext4/libext4_superblock.h	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2011 Martin Sucha
  * Copyright (c) 2012 Frantisek Princ
  * All rights reserved.
Index: uspace/lib/ext4/libext4_types.h
===================================================================
--- uspace/lib/ext4/libext4_types.h	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/lib/ext4/libext4_types.h	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2011 Martin Sucha
  * Copyright (c) 2012 Frantisek Princ
  * All rights reserved.
Index: uspace/lib/usbdev/include/usb/dev/request.h
===================================================================
--- uspace/lib/usbdev/include/usb/dev/request.h	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/lib/usbdev/include/usb/dev/request.h	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -93,8 +93,8 @@
 	uint8_t request;
 	/** Main parameter to the request. */
-	union {
+	union __attribute__ ((packed)) {
 		uint16_t value;
 		/* FIXME: add #ifdefs according to host endianness */
-		struct {
+		struct __attribute__ ((packed)) {
 			uint8_t value_low;
 			uint8_t value_high;
@@ -108,4 +108,6 @@
 	uint16_t length;
 } __attribute__ ((packed)) usb_device_request_setup_packet_t;
+
+int assert[(sizeof(usb_device_request_setup_packet_t) == 8) ? 1: -1];
 
 int usb_control_request_set(usb_pipe_t *,
Index: uspace/srv/bd/ata_bd/ata_bd.c
===================================================================
--- uspace/srv/bd/ata_bd/ata_bd.c	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/srv/bd/ata_bd/ata_bd.c	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -49,5 +49,4 @@
 
 #include <stdio.h>
-#include <libarch/ddi.h>
 #include <ddi.h>
 #include <async.h>
Index: uspace/srv/bd/gxe_bd/gxe_bd.c
===================================================================
--- uspace/srv/bd/gxe_bd/gxe_bd.c	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/srv/bd/gxe_bd/gxe_bd.c	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -37,5 +37,4 @@
 
 #include <stdio.h>
-#include <libarch/ddi.h>
 #include <ddi.h>
 #include <async.h>
Index: uspace/srv/fs/ext4fs/ext4fs_ops.c
===================================================================
--- uspace/srv/fs/ext4fs/ext4fs_ops.c	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/srv/fs/ext4fs/ext4fs_ops.c	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2011 Martin Sucha
  * Copyright (c) 2012 Frantisek Princ
  * All rights reserved.
Index: uspace/srv/hid/input/port/pl050.c
===================================================================
--- uspace/srv/hid/input/port/pl050.c	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/srv/hid/input/port/pl050.c	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -37,9 +37,7 @@
 
 #include <ddi.h>
-#include <libarch/ddi.h>
 #include <async.h>
 #include <unistd.h>
 #include <sysinfo.h>
-#include <ddi.h>
 #include <stdio.h>
 #include <errno.h>
Index: uspace/srv/hid/output/port/ega.c
===================================================================
--- uspace/srv/hid/output/port/ega.c	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/srv/hid/output/port/ega.c	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -36,5 +36,4 @@
 #include <as.h>
 #include <ddi.h>
-#include <libarch/ddi.h>
 #include <io/chargrid.h>
 #include "../output.h"
@@ -211,6 +210,5 @@
 		return rc;
 	
-	rc = iospace_enable(task_get_id(), (void *) EGA_IO_BASE,
-	    EGA_IO_SIZE);
+	rc = pio_enable((void*)EGA_IO_BASE, EGA_IO_SIZE, NULL);
 	if (rc != EOK)
 		return rc;
Index: uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.c
===================================================================
--- uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.c	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.c	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -38,5 +38,4 @@
 
 #include <ddi.h>
-#include <libarch/ddi.h>
 #include <loc.h>
 #include <io/console.h>
Index: uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.c
===================================================================
--- uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.c	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.c	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -38,5 +38,4 @@
 
 #include <ddi.h>
-#include <libarch/ddi.h>
 #include <loc.h>
 #include <ipc/char.h>
Index: uspace/srv/hw/irc/i8259/i8259.c
===================================================================
--- uspace/srv/hw/irc/i8259/i8259.c	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/srv/hw/irc/i8259/i8259.c	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -42,5 +42,4 @@
 #include <as.h>
 #include <ddi.h>
-#include <libarch/ddi.h>
 #include <align.h>
 #include <bool.h>
Index: uspace/srv/logger/initlvl.c
===================================================================
--- uspace/srv/logger/initlvl.c	(revision 908bb9645ed022f8ccdcdfd80a4b312d622b76e9)
+++ uspace/srv/logger/initlvl.c	(revision e32720fffe177c9b6bf6489727240c59ac6a953b)
@@ -38,4 +38,5 @@
 #include <sysinfo.h>
 #include <str.h>
+#include <stdlib.h>
 #include "logger.h"
 
@@ -91,4 +92,5 @@
 	char level_str[200];
 	str_cpy(level_str, 200, (const char *) argument);
+	free(argument);
 
 	parse_level_settings(level_str);
